'use strict';
const debug = require('debug')('benchmark:centro');
const prettyHrtime = require('pretty-hrtime');

module.exports = function v1() {
  this.add('server:start:success', ({
    port,
    startupTime
  }) => debug('server:start', 'success', 'PORT', port, 'time to start', prettyHrtime(startupTime)));

  const resources = require('../../data');

  this.add('get/resources/{id}', (data, token, callback) => {
    debug('get/resources/{id}');
    const start = process.hrtime();
    callback(null, {
      data: resources,
      start: start
    });
  });
};
